| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::AvatarSpec Class Reference
Wrapper classes

The AvatarSpec class represents a Telepathy avatar information supported by a protocol. More...

`#include <TelepathyQt/AvatarSpec>`

## Public Member Functions

| AvatarSpec ()
| AvatarSpec (const QStringList &supportedMimeTypes, uint minHeight, uint maxHeight, uint recommendedHeight, uint minWidth, uint maxWidth, uint recommendedWidth, uint maxBytes)
| AvatarSpec (const AvatarSpec &other)
| ~AvatarSpec ()
bool | isValid () const
AvatarSpec & | operator= (const AvatarSpec &other)
QStringList | supportedMimeTypes () const
uint | minimumHeight () const
uint | maximumHeight () const
uint | recommendedHeight () const
uint | minimumWidth () const
uint | maximumWidth () const
uint | recommendedWidth () const
uint | maximumBytes () const

## Detailed Description

The AvatarSpec class represents a Telepathy avatar information supported by a protocol.

## Constructor & Destructor Documentation

## § AvatarSpec() [1/3]

Tp::AvatarSpec::AvatarSpec | ( |  | ) |

## § AvatarSpec() [2/3]

Tp::AvatarSpec::AvatarSpec | ( | const QStringList & | supportedMimeTypes,
|  | uint | minHeight,
|  | uint | maxHeight,
|  | uint | recommendedHeight,
|  | uint | minWidth,
|  | uint | maxWidth,
|  | uint | recommendedWidth,
|  | uint | maxBytes
| ) |  |

## § AvatarSpec() [3/3]

Tp::AvatarSpec::AvatarSpec | ( | const AvatarSpec & | other | ) |

## § ~AvatarSpec()

Tp::AvatarSpec::~AvatarSpec | ( |  | ) |

## Member Function Documentation

## § isValid()

bool Tp::AvatarSpec::isValid | ( |  | ) | const

inline

## § operator=()

AvatarSpec & Tp::AvatarSpec::operator= | ( | const AvatarSpec & | other | ) |

## § supportedMimeTypes()

QStringList Tp::AvatarSpec::supportedMimeTypes | ( |  | ) | const

## § minimumHeight()

uint Tp::AvatarSpec::minimumHeight | ( |  | ) | const

## § maximumHeight()

uint Tp::AvatarSpec::maximumHeight | ( |  | ) | const

## § recommendedHeight()

uint Tp::AvatarSpec::recommendedHeight | ( |  | ) | const

## § minimumWidth()

uint Tp::AvatarSpec::minimumWidth | ( |  | ) | const

## § maximumWidth()

uint Tp::AvatarSpec::maximumWidth | ( |  | ) | const

## § recommendedWidth()

uint Tp::AvatarSpec::recommendedWidth | ( |  | ) | const

## § maximumBytes()

uint Tp::AvatarSpec::maximumBytes | ( |  | ) | const